Bug 1314455 - [RFE] using ceph-installer to install redhat ceph on a rhel node that's using satellite
[RFE] using ceph-installer to install redhat ceph on a rhel node that's using...
Status: CLOSED ERRATA
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-installer (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Andrew Schoen
Hemanth Kumar
:
: 1314456 (view as bug list)
Depends On: 1312445
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 11:25 EST by Andrew Schoen
Modified: 2016-08-23 15:47 EDT (History)
14 users (show)

See Also:
Fixed In Version: ceph-installer-1.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1312445
Environment:
Last Closed: 2016-08-23 15:47:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
icolle: needinfo+


Attachments (Terms of Use)

  None (edit)
Comment 2 Neil Levine 2016-03-03 14:05:24 EST
Satellite6 support was available with 1.3.0 and Satellite5 support is available with 1.3.2.


Are you reporting a specific bug? If so, please provide the details.
Comment 3 Neil Levine 2016-03-03 14:09:08 EST
Ah, it's an RFE, not a bug. Ignore comment 2.
Comment 4 Andrew Schoen 2016-03-03 14:09:29 EST
(In reply to Neil Levine from comment #2)
> Satellite6 support was available with 1.3.0 and Satellite5 support is
> available with 1.3.2.
> 
> 
> Are you reporting a specific bug? If so, please provide the details.

Neil, this ticket is specific to using ceph-installer to install red hat ceph on a node that will get it's packages from satellite and not the cdn.
Comment 5 Andrew Schoen 2016-03-07 17:54:19 EST
PR with this functionality here: https://github.com/ceph/ceph-installer/pull/109
Comment 6 Andrew Schoen 2016-03-08 10:03:19 EST
*** Bug 1314456 has been marked as a duplicate of this bug. ***
Comment 8 Mike McCune 2016-03-28 18:42:18 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 18 Federico Lucifredi 2016-08-10 12:16:31 EDT
We do not recommend mainstream customer use of ceph-install directly at this point.

These are "disconnected" configurations for RHEL — akin to the discussion around apt-cacher-ng.

PM is okay with a single test of this with packages hosted in Satellite 6, provisioning may be via Ansible or Console, whichever QE thinks most convenient.
Comment 19 Hemanth Kumar 2016-08-19 03:27:31 EDT
Verified Install/Upgrades scenarios of Ceph 2.0 using ceph-ansible hosted on Satellite 6.
Comment 21 errata-xmlrpc 2016-08-23 15:47:53 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2016:1754

Note You need to log in before you can comment on or make changes to this bug.